Back to home page

Project CMSSW displayed by LXR

 
 

    


File indexing completed on 2023-03-24 02:59:12

0001 #!/bin/sh
0002 
0003 function die { echo $1: status $2 ; exit $2; }
0004 function checkDiff {
0005     FSIZE=$(stat -c%s "$1")
0006     echo "The output diff is $FSIZE:"
0007     cat $1;
0008     if [ $FSIZE -gt 500 ]
0009     then
0010         exit -1;
0011     fi
0012 }
0013 
0014 echo " testing Geometry/TrackerGeomtryBuilder"
0015 
0016 for entry in "${SCRAM_TEST_PATH}/python"/test*
0017 do
0018   echo "===== Test \"cmsRun $entry \" ===="
0019   (cmsRun $entry) || die "Failure using cmsRun $entry" $?
0020 done
0021 
0022 cmsRun ${SCRAM_TEST_PATH}/python/testPixelTopologyMapTest_cfg.py runNumber=300000  || die "Failure using cmsRun testPixelTopologyMapTest_cfg.py runNumber=300000" $?
0023 cmsRun ${SCRAM_TEST_PATH}/python/testPixelTopologyMapTest_cfg.py globalTag=auto:phase2_realistic_T21  || die "Failure using cmsRun testPixelTopologyMapTest_cfg.py globalTag=auto:phase2_realistic_T21" $?
0024 
0025 FILE1=trackerParametersDD4hep.log
0026 FILE2=trackerParametersDDD.log
0027 FILE3=diff.log
0028 
0029 echo "===== Compare Tracker Parameters for DD and DD4hep ===="
0030 (diff -B -w $FILE1 $FILE2 >& $FILE3;
0031     [ -s $FILE3 ] && checkDiff $FILE3 || echo "OK") || die "Failure comparing Tracker Parameters for DD and DD4hep" $?
0032